Index: trunk/ArchTOIPipe/Kernel/asciitoiwtr.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/asciitoiwtr.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/asciitoiwtr.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: asciitoiwtr.h,v 1.5 2001-11-13 15:05:41 aubourg Exp $
+// $Id: asciitoiwtr.h,v 1.6 2001-11-13 15:47:25 aubourg Exp $
 
 
@@ -13,5 +13,5 @@
 #include "toi.h"
 #include "toiprocessor.h"
-#include <fstream>
+#include <fstream.h>
 
 class ASCIITOIWriter : public TOIProcessor {
Index: trunk/ArchTOIPipe/Kernel/fitstoirdr.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/fitstoirdr.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/fitstoirdr.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: fitstoirdr.h,v 1.7 2001-11-08 15:47:45 aubourg Exp $
+// $Id: fitstoirdr.h,v 1.8 2001-11-13 15:47:25 aubourg Exp $
 
 
@@ -13,6 +13,6 @@
 #include "toiprocessor.h"
 #include <string>
-#include <vector>
-#include <map>
+#include <vector.h>
+#include <map.h>
 #include "fitsio.h"
 
Index: trunk/ArchTOIPipe/Kernel/fitstoiwtr.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/fitstoiwtr.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/fitstoiwtr.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: fitstoiwtr.h,v 1.8 2001-11-08 15:47:45 aubourg Exp $
+// $Id: fitstoiwtr.h,v 1.9 2001-11-13 15:47:25 aubourg Exp $
 
 
@@ -14,5 +14,5 @@
 #include "toiprocessor.h"
 #include <string>
-#include <map>
+#include <map.h>
 #include "fitsio.h"
 
Index: trunk/ArchTOIPipe/Kernel/toi.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/toi.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toi.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi.h,v 1.11 2001-11-09 23:13:15 aubourg Exp $
+// $Id: toi.h,v 1.12 2001-11-13 15:47:26 aubourg Exp $
 
 #ifndef TOI_H
@@ -11,5 +11,5 @@
 
 #include "config.h"
-#include <vector>
+#include <vector.h>
 using namespace std;
 
Index: trunk/ArchTOIPipe/Kernel/toimanager.cc
===================================================================
--- trunk/ArchTOIPipe/Kernel/toimanager.cc	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toimanager.cc	(revision 1759)
@@ -3,10 +3,10 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toimanager.cc,v 1.11 2001-11-13 14:53:57 aubourg Exp $
+// $Id: toimanager.cc,v 1.12 2001-11-13 15:47:26 aubourg Exp $
 
 #include "toimanager.h"
 #include <limits.h>
 #include <pthread.h>
-#include <iostream>
+#include <iostream.h>
 #include <unistd.h>
 
Index: trunk/ArchTOIPipe/Kernel/toimanager.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/toimanager.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toimanager.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toimanager.h,v 1.9 2001-11-08 15:47:46 aubourg Exp $
+// $Id: toimanager.h,v 1.10 2001-11-13 15:47:26 aubourg Exp $
 
 
@@ -12,5 +12,5 @@
 
 #include <string>
-#include <vector>
+#include <vector.h>
 
 using namespace std;
Index: trunk/ArchTOIPipe/Kernel/toiprocessor.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/toiprocessor.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toiprocessor.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toiprocessor.h,v 1.12 2001-11-13 14:53:58 aubourg Exp $
+// $Id: toiprocessor.h,v 1.13 2001-11-13 15:47:26 aubourg Exp $
 
 
@@ -17,6 +17,6 @@
 
 #include <string>
-#include <map>
-#include <iostream>
+#include <map.h>
+#include <iostream.h>
 
 #ifndef NO_SOPHYA
Index: trunk/ArchTOIPipe/Kernel/toiregwindow.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/toiregwindow.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toiregwindow.h	(revision 1759)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toiregwindow.h,v 1.3 2001-11-08 15:47:46 aubourg Exp $
+// $Id: toiregwindow.h,v 1.4 2001-11-13 15:47:26 aubourg Exp $
 
 #ifndef TOI_REGWINDOW_H
@@ -13,5 +13,5 @@
 
 #include <pthread.h>
-#include <vector>
+#include <vector.h>
 using namespace std;
 #include "toi.h"
Index: trunk/ArchTOIPipe/Kernel/toisegment.cc
===================================================================
--- trunk/ArchTOIPipe/Kernel/toisegment.cc	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toisegment.cc	(revision 1759)
@@ -3,9 +3,9 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toisegment.cc,v 1.20 2001-11-13 15:08:54 aubourg Exp $
+// $Id: toisegment.cc,v 1.21 2001-11-13 15:47:26 aubourg Exp $
 
 #include "toisegment.h"
 
-#include <iostream>
+#include <iostream.h>
 
 #ifndef MAXINT
Index: trunk/ArchTOIPipe/Kernel/toisegment.h
===================================================================
--- trunk/ArchTOIPipe/Kernel/toisegment.h	(revision 1754)
+++ trunk/ArchTOIPipe/Kernel/toisegment.h	(revision 1759)
@@ -5,11 +5,11 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toisegment.h,v 1.12 2001-11-13 15:08:54 aubourg Exp $
+// $Id: toisegment.h,v 1.13 2001-11-13 15:47:26 aubourg Exp $
 
 #ifndef TOISEGMENT_H
 #define TOISEGMENT_H
 
-#include <vector>
-#include <set>
+#include <vector.h>
+#include <set.h>
 
 #include "toi.h"