Index: trunk/ArchTOIPipe/ProcWSophya/genwproc.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/genwproc.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/genwproc.cc	(revision 1762)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: genwproc.cc,v 1.7 2001-11-13 16:14:42 aubourg Exp $
+// $Id: genwproc.cc,v 1.8 2001-11-13 16:22:46 aubourg Exp $
 
 #include "array.h"
@@ -68,5 +68,5 @@
 
 ////////////////////////////////////////////////////////////////
-void GenWindowTOIProcessor::PrintStatus(std::ostream & os)
+void GenWindowTOIProcessor::PrintStatus(::ostream & os)
 {
 os<<"\n ------------------------------------------------------ \n" 
Index: trunk/ArchTOIPipe/ProcWSophya/genwproc.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/genwproc.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/genwproc.h	(revision 1762)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: genwproc.h,v 1.8 2001-11-13 16:14:42 aubourg Exp $
+// $Id: genwproc.h,v 1.9 2001-11-13 16:22:46 aubourg Exp $
 
 
@@ -72,5 +72,5 @@
                       {PutWData(0,numsample,data,flag);}
 
-  virtual void PrintStatus(std::ostream & os);
+  virtual void PrintStatus(::ostream & os);
 
   virtual void UserInit(int_8 kstart);
Index: trunk/ArchTOIPipe/ProcWSophya/ktoibad.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/ktoibad.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/ktoibad.cc	(revision 1762)
@@ -23,5 +23,5 @@
 }
 
-void FlagOutOfRange::Print(std::ostream & os)
+void FlagOutOfRange::Print(::ostream & os)
 {
  os<<"FlagOutOfRange::Print Range: ["<<VMin<<","<<VMax<<"] flgBad="<<flgBad<<endl;
@@ -115,5 +115,5 @@
 }
 
-void FlagGlitch::Print(std::ostream & os)
+void FlagGlitch::Print(::ostream & os)
 {
  os<<"FlagGlitch::Print"
@@ -321,5 +321,5 @@
 }
 
-void FlagAroundFlag::Print(std::ostream & os)
+void FlagAroundFlag::Print(::ostream & os)
 {
  os<<"FlagAroundFlag::Print"
Index: trunk/ArchTOIPipe/ProcWSophya/ktoibad.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/ktoibad.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/ktoibad.h	(revision 1762)
@@ -20,5 +20,5 @@
 
   //! Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
   inline void Print(void) {Print(cout);}
 
@@ -47,5 +47,5 @@
   inline void SetBuffUpd(uint_4 bupd=1000) {BuffUpdate = bupd;}
   //! Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
   inline void Print(void) {Print(cout);}
   //! Debugging print lp=ab
@@ -85,5 +85,5 @@
               {VMin=vmin; VMax=vmax; flgBad = flag;}
   //! Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
   inline void Print(void) {Print(cout);}
 
Index: trunk/ArchTOIPipe/ProcWSophya/map2toi.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/map2toi.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/map2toi.cc	(revision 1762)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: map2toi.cc,v 1.8 2001-11-13 16:14:43 aubourg Exp $
+// $Id: map2toi.cc,v 1.9 2001-11-13 16:22:47 aubourg Exp $
 
 #include "toimanager.h"
@@ -24,5 +24,5 @@
 
 ////////////////////////////////////////////////////////////////////////
-void Map2TOI::Print(std::ostream & os)
+void Map2TOI::Print(::ostream & os)
 {
   os<<"Map2TOI::Print -- Sphere NLat = "<<mSph.SizeIndex()<<endl
Index: trunk/ArchTOIPipe/ProcWSophya/map2toi.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/map2toi.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/map2toi.h	(revision 1762)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: map2toi.h,v 1.5 2001-11-13 16:14:43 aubourg Exp $
+// $Id: map2toi.h,v 1.6 2001-11-13 16:22:47 aubourg Exp $
 
 #ifndef MAP2TOI_H
@@ -50,5 +50,5 @@
               {mTypCoorMap = mfg;}
   // Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
 
 protected:
Index: trunk/ArchTOIPipe/ProcWSophya/simtoipr.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/simtoipr.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/simtoipr.cc	(revision 1762)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: simtoipr.cc,v 1.15 2001-11-13 16:14:43 aubourg Exp $
+// $Id: simtoipr.cc,v 1.16 2001-11-13 16:22:47 aubourg Exp $
 
 #include "array.h"
@@ -47,5 +47,5 @@
 }
 
-void SimpleDeglitcher::PrintStatus(std::ostream & os)
+void SimpleDeglitcher::PrintStatus(::ostream & os)
 {
   os << "\n ------------------------------------------------------ \n" 
@@ -421,5 +421,5 @@
 }
 
-void SimpleFilter::PrintStatus(std::ostream & os)
+void SimpleFilter::PrintStatus(::ostream & os)
 {
   os << "\n ------------------------------------------------------ \n" 
@@ -547,5 +547,5 @@
 }
 
-void SimpleAdder::PrintStatus(std::ostream & os)
+void SimpleAdder::PrintStatus(::ostream & os)
 {
   os << "\n ------------------------------------------------------ \n" 
@@ -644,5 +644,5 @@
 
 
-void SimpleFourierFilter::PrintStatus(std::ostream & os)
+void SimpleFourierFilter::PrintStatus(::ostream & os)
 {
   os << "\n ------------------------------------------------------ \n" 
@@ -811,5 +811,5 @@
 
 
-void SimpleFanOut::PrintStatus(std::ostream & os)
+void SimpleFanOut::PrintStatus(::ostream & os)
 {
   os << "\n ------------------------------------------------------ \n" 
Index: trunk/ArchTOIPipe/ProcWSophya/simtoipr.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/simtoipr.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/simtoipr.h	(revision 1762)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: simtoipr.h,v 1.10 2001-11-13 16:14:43 aubourg Exp $
+// $Id: simtoipr.h,v 1.11 2001-11-13 16:22:47 aubourg Exp $
 
 
@@ -56,5 +56,5 @@
   inline int_8  OutOfRangeSampleCount() const { return out_range_nscount; }
   
-  virtual void  PrintStatus(std::ostream & os) ; // const plus tard
+  virtual void  PrintStatus(::ostream & os) ; // const plus tard
   
 protected:
@@ -108,5 +108,5 @@
   Vector        FilterCoefficients() const;
 
-  virtual void  PrintStatus(std::ostream & os) ; // const plus tard
+  virtual void  PrintStatus(::ostream & os) ; // const plus tard
 
   virtual void	init();  
@@ -135,5 +135,5 @@
   inline int_8	ProcessedSampleCount() const { return totnscount; }
 
-  virtual void  PrintStatus(std::ostream & os) ; // const plus tard
+  virtual void  PrintStatus(::ostream & os) ; // const plus tard
 
   virtual void	init();  
@@ -160,5 +160,5 @@
                 { Vector rcv; rcv = ffcoef; return(rcv); } 
 
-  virtual void  PrintStatus(std::ostream & os) ; // const plus tard
+  virtual void  PrintStatus(::ostream & os) ; // const plus tard
 
   virtual void	init();  
@@ -192,5 +192,5 @@
   inline int_8	ProcessedSampleCount() const { return totnscount; }
 
-  virtual void  PrintStatus(std::ostream & os) ; // const plus tard
+  virtual void  PrintStatus(::ostream & os) ; // const plus tard
 
   virtual void	init();  
Index: trunk/ArchTOIPipe/ProcWSophya/smoothtoi.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/smoothtoi.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/smoothtoi.cc	(revision 1762)
@@ -25,5 +25,5 @@
 }
 
-void DataSmooth::Print(std::ostream & os)
+void DataSmooth::Print(::ostream & os)
 {
  os<<"DataSmooth::Print LSmooth="<<LSmooth
Index: trunk/ArchTOIPipe/ProcWSophya/smoothtoi.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/smoothtoi.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/smoothtoi.h	(revision 1762)
@@ -33,5 +33,5 @@
 
   //! Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
   inline void Print(void) {Print(cout);}
 
Index: trunk/ArchTOIPipe/ProcWSophya/toi2map.cc
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/toi2map.cc	(revision 1762)
@@ -3,5 +3,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2map.cc,v 1.14 2001-11-13 16:14:43 aubourg Exp $
+// $Id: toi2map.cc,v 1.15 2001-11-13 16:22:47 aubourg Exp $
 
 #include "machdefs.h"
@@ -52,5 +52,5 @@
 
 ////////////////////////////////////////////////////////////////////////
-void TOI2Map::Print(std::ostream & os)
+void TOI2Map::Print(::ostream & os)
 {
   os<<"TOI2Map::Print -- Sphere NLat = "<<mSph->SizeIndex()<<endl
Index: trunk/ArchTOIPipe/ProcWSophya/toi2map.h
===================================================================
--- trunk/ArchTOIPipe/ProcWSophya/toi2map.h	(revision 1761)
+++ trunk/ArchTOIPipe/ProcWSophya/toi2map.h	(revision 1762)
@@ -5,5 +5,5 @@
 //                               Christophe Magneville
 //                               Reza Ansari
-// $Id: toi2map.h,v 1.9 2001-11-13 16:14:43 aubourg Exp $
+// $Id: toi2map.h,v 1.10 2001-11-13 16:22:47 aubourg Exp $
 
 #ifndef TOI2MAP_H
@@ -61,5 +61,5 @@
               {mTMax = tmax; mValMax = vmax;}
   // Print
-  void Print(std::ostream & os);
+  void Print(::ostream & os);
 
 protected: