Index: /trunk/SophyaExt/LinAlg/extlib_list
===================================================================
--- /trunk/SophyaExt/LinAlg/extlib_list	(revision 1782)
+++ /trunk/SophyaExt/LinAlg/extlib_list	(revision 1783)
@@ -1,3 +1,0 @@
-lapack
-dxml
-for
Index: /trunk/SophyaExt/LinAlg/extslb_list
===================================================================
--- /trunk/SophyaExt/LinAlg/extslb_list	(revision 1782)
+++ /trunk/SophyaExt/LinAlg/extslb_list	(revision 1783)
@@ -1,3 +1,0 @@
-lapack
-dxml
-for
Index: /trunk/SophyaLib/BaseTools/machdefs_mkmf.h
===================================================================
--- /trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 1782)
+++ /trunk/SophyaLib/BaseTools/machdefs_mkmf.h	(revision 1783)
@@ -34,4 +34,11 @@
 #define MACH_SGI
 #define OS_IRIX64
+#endif
+
+#ifdef __APPLE__
+#ifdef __MACH__
+#define MACH_POWERPC
+#define OS_MACOSX
+#endif
 #endif
 
@@ -174,4 +181,21 @@
 #define  SWAP 0
 #define  SWAPDEFAUT   0
+
+#elif defined(OS_MACOSX)
+
+  typedef signed char int_1;
+  typedef unsigned char uint_1;
+  typedef int int_4;
+  typedef unsigned int uint_4;
+  typedef short int_2;
+  typedef unsigned short uint_2;
+  typedef float r_4;
+  typedef double r_8;
+  typedef long long int_8;
+  typedef unsigned long long uint_8;
+
+#define  SWAP 0
+#define  SWAPDEFAUT   0
+
 
 #else
@@ -344,4 +368,11 @@
 #endif
 
+#ifdef OS_MACOSX
+#define NO_VALUES_H
+#include "osx_values.h"
+/* Faute de mieux pour le moment : */
+#define drand48() ((double)(random())/LONG_MAX)
+#endif
+
 
 /********************************************************/
Index: /trunk/SophyaLib/BaseTools/ppersist.cc
===================================================================
--- /trunk/SophyaLib/BaseTools/ppersist.cc	(revision 1782)
+++ /trunk/SophyaLib/BaseTools/ppersist.cc	(revision 1783)
@@ -17,5 +17,5 @@
 
 //  strptime n'est pas defini sous Linux  - Reza Mars 2000
-#if defined(OS_LINUX)
+#if defined(OS_LINUX) || defined(OS_MACOSX)
 extern "C" {
 char *strptime(char *buf, const char *format, const struct tm *tm);
@@ -430,5 +430,5 @@
   rbuf[32] = '\0'; 
   struct tm tm;
-  #ifndef __MWERKS__ 
+  #if !(defined(__MWERKS__) || defined(OS_MACOSX))
   strptime(rbuf,"%d/%m/%Y %H:%M:%S GMT",&tm);
   #else
Index: /trunk/SophyaLib/BaseTools/smathconst.h
===================================================================
--- /trunk/SophyaLib/BaseTools/smathconst.h	(revision 1782)
+++ /trunk/SophyaLib/BaseTools/smathconst.h	(revision 1783)
@@ -4,5 +4,9 @@
 
 #include "machdefs.h"
+#ifndef NO_VALUES_H
 #include <values.h>
+#else
+#include <math.h>
+#endif
 
 /* EA conflit entre les diverses copies de nbmath.h, nbconst.h... A nettoyer... */
Index: /trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- /trunk/SophyaLib/HiStats/histos2.cc	(revision 1782)
+++ /trunk/SophyaLib/HiStats/histos2.cc	(revision 1783)
@@ -9,5 +9,5 @@
 #include <stdlib.h>
 #include <stdio.h>
-#ifndef __mac__
+#ifndef NO_VALUES_H
 #include <values.h>
 #endif
Index: /trunk/SophyaLib/HiStats/xntuple.cc
===================================================================
--- /trunk/SophyaLib/HiStats/xntuple.cc	(revision 1782)
+++ /trunk/SophyaLib/HiStats/xntuple.cc	(revision 1783)
@@ -9,4 +9,7 @@
 #include "perrors.h"
 #include "xntuple.h"
+#ifdef OS_MACOSX
+#include <unistd.h>
+#endif
 
 #define LENNAME 31 
Index: /trunk/SophyaLib/Mgr/Makefile.h
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile.h	(revision 1782)
+++ /trunk/SophyaLib/Mgr/Makefile.h	(revision 1783)
@@ -127,4 +127,12 @@
 endif
 
+ifeq ($(MACHEROS),Darwin)
+AR := libtool
+ARFLAGS := -static -o
+EROSCXX := g++
+CXX := g++
+CC := cc
+endif
+
 #   Avec certains compilateurs C++ (KCC, aCC) , il faut fabriquer les librairies et 
 # les shared libs avec la meme commande 
@@ -152,4 +160,9 @@
   XCFLAGS := -I/usr/X11/include -I/usr/X11R6/include
   LDLIBS := -ldl
+endif
+
+ifeq (${MACHEROS},Darwin)
+  XLDLIBS := -L/usr/X11R6/lib
+  XCFLAGS := -I/usr/X11R6/include -fno-coalesce -fkeep-inline-functions
 endif
 
Index: /trunk/SophyaLib/Mgr/Makefile.slb
===================================================================
--- /trunk/SophyaLib/Mgr/Makefile.slb	(revision 1782)
+++ /trunk/SophyaLib/Mgr/Makefile.slb	(revision 1783)
@@ -14,6 +14,9 @@
 # librairie compilateur GNU (g++)
 LIBGPP := -L$(GLB) -lstdc++
-ifeq ($(HOSTTYPE), powerpc)
-  LIBGPP = -L$(GLB)
+#ifeq ($(HOSTTYPE), powerpc)
+#  LIBGPP := -L$(GLB)
+#endif
+ifeq ($(MACHEROS), Darwin)
+  LIBGPP := -L/usr/lib/gcc/darwin/default -lstdc++ -lcc_dynamic
 endif
 
@@ -122,2 +125,12 @@
 endif
 
+# Construction de shared-libs sous OSX
+ifeq ($(MACHEROS), Darwin)
+  override CMDSHL := libtool -dynamic
+  override FGSHLA :=
+  override FGSHLN :=
+  override TILSHL :=
+  override CMDSHLCXX := libtool -dynamic
+endif
+
+
Index: /trunk/SophyaLib/Mgr/libdirs
===================================================================
--- /trunk/SophyaLib/Mgr/libdirs	(revision 1782)
+++ /trunk/SophyaLib/Mgr/libdirs	(revision 1783)
@@ -8,2 +8,3 @@
 Samba
 SkyT
+SysSpec
Index: /trunk/SophyaLib/Mgr/mkmf
===================================================================
--- /trunk/SophyaLib/Mgr/mkmf	(revision 1782)
+++ /trunk/SophyaLib/Mgr/mkmf	(revision 1783)
@@ -1,4 +1,4 @@
 #!/bin/csh 
-# $Id: mkmf,v 1.14 2001-07-30 16:36:54 ansari Exp $
+# $Id: mkmf,v 1.15 2001-11-22 11:33:18 aubourg Exp $
 
 #  Pour debugger 
@@ -102,5 +102,5 @@
   set f = $libnames[$i]
   set k = $i ; @ k++
-  if ( -d ../$f ) then 
+  if ( -d ../$f && ! -f ../$f/no_mkmf ) then 
     set cmd = "./mkmflib $f "
     echo "mkmf: Creation makefile lib $f"
@@ -135,4 +135,9 @@
 
 echo 'mkmf: Writing shared library building part of the makefile :'
+if ( `uname` == "Darwin" ) then
+  set sosfx = "dylib"
+else
+  set sosfx = "so"
+endif
 
 echo '#  Shared library creation part of the Makefile'       >> GNUmakefile
@@ -146,11 +151,11 @@
 echo 'EXTSLB  = -L$(EXTSLBPATH)' $extslb_list       >> GNUmakefile
 echo 'XPILIBS = $(LIBXPIPATH) $(LIBXPILIST)'        >> GNUmakefile
-echo ''                                  >> GNUmakefile
-echo '#  main dependence list'           >> GNUmakefile
-echo 'slball : slb slbext slbpi '        >> GNUmakefile
-echo 'slb : $(SLB)libsophya.so '         >> GNUmakefile
-echo 'slbext : $(SLB)libextsophya.so   ' >> GNUmakefile
-echo 'slbpi : $(SLB)libPI.so'            >> GNUmakefile
-echo ' '                                 >> GNUmakefile
+echo ''                                   >> GNUmakefile
+echo '#  main dependence list'            >> GNUmakefile
+echo 'slball : slb slbext slbpi '         >> GNUmakefile
+echo 'slb : $(SLB)libsophya.'$sosfx       >> GNUmakefile
+echo 'slbext : $(SLB)libextsophya.'$sosfx >> GNUmakefile
+echo 'slbpi : $(SLB)libPI.'$sosfx         >> GNUmakefile
+echo ' '                                  >> GNUmakefile
 
 echo '# List of .o files for each module'  >> GNUmakefile
@@ -182,8 +187,8 @@
 
 echo '# Building Sophya shared library'  >> GNUmakefile
-echo '$(SLB)libsophya.so : $(PSLB)'                             >> GNUmakefile
+echo '$(SLB)libsophya.'$sosfx' : $(PSLB)'                       >> GNUmakefile
 echo '	$(CMDTILSHL) '                                          >> GNUmakefile
 echo '	cd  $(OBJ); \'                                          >> GNUmakefile
-echo '	$(CMDSHLCXX) -o $(SLB)libsophya.so  \'                  >> GNUmakefile
+echo '	$(CMDSHLCXX) -o $(SLB)libsophya.'$sosfx'  \'            >> GNUmakefile
 echo '	$(FGSHLACXX) $(ALLOBJS)  $(FGSHLNCXX)\'                 >> GNUmakefile
 echo '	-L$(SLB) $(LIBLSHL)'                                    >> GNUmakefile
@@ -191,8 +196,8 @@
 
 echo '# Building ExtSophya shared library'  >> GNUmakefile
-echo '$(SLB)libextsophya.so : $(EXTPSLB)'                       >> GNUmakefile
+echo '$(SLB)libextsophya.'$sosfx' : $(EXTPSLB)'                 >> GNUmakefile
 echo '	$(CMDTILSHL) '                                          >> GNUmakefile
 echo '	cd  $(OBJ); \'                                          >> GNUmakefile
-echo '	$(CMDSHLCXX) -o $(SLB)libextsophya.so  \'               >> GNUmakefile
+echo '	$(CMDSHLCXX) -o $(SLB)libextsophya.'$sosfx'  \'         >> GNUmakefile
 echo '	$(FGSHLACXX) $(ALLEXTOBJS)  $(FGSHLNCXX)\'              >> GNUmakefile
 echo '	-L$(SLB) -lsophya $(EXTLIB) $(LIBLSHL)'                 >> GNUmakefile
@@ -200,8 +205,8 @@
 
 echo '# Building PI shared library'  >> GNUmakefile
-echo '$(SLB)libPI.so : $(PIPSLB)'                               >> GNUmakefile
+echo '$(SLB)libPI.'$sosfx' : $(PIPSLB)'                         >> GNUmakefile
 echo '	$(CMDTILSHL) '                                          >> GNUmakefile
 echo '	cd  $(OBJ); \'                                          >> GNUmakefile
-echo '	$(CMDSHLCXX) -o $(SLB)libPI.so  \'                      >> GNUmakefile
+echo '	$(CMDSHLCXX) -o $(SLB)libPI.'$sosfx'  \'                >> GNUmakefile
 echo '	$(FGSHLACXX) $(ALLPIOBJS) $(FGSHLNCXX) \'               >> GNUmakefile
 echo '	-L$(SLB) -lsophya -lextsophya $(EXTLIB) $(XPILIBS) $(LIBLSHL)'      >> GNUmakefile
@@ -213,5 +218,5 @@
 clean:
 	if [ -d \$(LIB) ] ; then cd \$(LIB)/. ; rm -f *.a  ; fi
-	if [ -d \$(SLB) ] ; then cd \$(SLB)/. ; rm -f *.so ; fi
+	if [ -d \$(SLB) ] ; then cd \$(SLB)/. ; rm -f *.$sosfx ; fi
 	if [ -d \$(OBJ) ] ; then cd \$(OBJ)/. ; rm -f *.o  rm -rf cxxrep* ; fi
 #	if [ -d PI ]     ; then cd PI/.     ; \$(MAKE) clean ; fi
Index: /trunk/SophyaLib/NTools/generaldata.cc
===================================================================
--- /trunk/SophyaLib/NTools/generaldata.cc	(revision 1782)
+++ /trunk/SophyaLib/NTools/generaldata.cc	(revision 1783)
@@ -3,5 +3,7 @@
 #include <stdlib.h>
 #include <iostream.h>
+#ifndef NO_VALUES_H
 #include <values.h>
+#endif
 #include <math.h>
 #include <string.h>
Index: /trunk/SophyaLib/NTools/ntoolsinit.cc
===================================================================
--- /trunk/SophyaLib/NTools/ntoolsinit.cc	(revision 1782)
+++ /trunk/SophyaLib/NTools/ntoolsinit.cc	(revision 1783)
@@ -69,4 +69,6 @@
 // On met un objet initiator en statique, pour les loaders qui savent 
 // appeler le constructeur des objets statiques   Reza 08/98
+#ifndef Darwin
 static NToolsInitiator ntoolsinit;
+#endif
 
Index: /trunk/SophyaLib/NTools/ntoolsinit.h
===================================================================
--- /trunk/SophyaLib/NTools/ntoolsinit.h	(revision 1782)
+++ /trunk/SophyaLib/NTools/ntoolsinit.h	(revision 1783)
@@ -4,5 +4,4 @@
 #ifndef NTOOLSINIT_H_SEEN
 #define NTOOLSINIT_H_SEEN
-
 
 // Classe d''initialisation pour le module de NTools
Index: /trunk/SophyaLib/Samba/bruit.cc
===================================================================
--- /trunk/SophyaLib/Samba/bruit.cc	(revision 1782)
+++ /trunk/SophyaLib/Samba/bruit.cc	(revision 1783)
@@ -6,4 +6,5 @@
 #include "unixmac.h"
 #endif
+
 
 #include "fmath.h"
@@ -13,4 +14,7 @@
 // #include "rancern.h"
 // #include "hbook.h"
+#ifdef OS_MACOSX
+#include <limits.h>
+#endif
 
 //  Le code des classes   NoiseGenerator  RWalkNoise
Index: /trunk/SophyaLib/SysTools/pdlmgr.cc
===================================================================
--- /trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 1782)
+++ /trunk/SophyaLib/SysTools/pdlmgr.cc	(revision 1783)
@@ -3,4 +3,7 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 //
+#include <machdefs.h>
+#ifndef OS_MACOSX
+// EA : gerer dylib macosx un jour...
 
 #include "pdlmgr.h"
@@ -271,2 +274,3 @@
 }
 
+#endif
Index: /trunk/SophyaLib/SysTools/timing.c
===================================================================
--- /trunk/SophyaLib/SysTools/timing.c	(revision 1782)
+++ /trunk/SophyaLib/SysTools/timing.c	(revision 1783)
@@ -32,6 +32,6 @@
 #include "timing.h"
 
-clock_t CPUT0, CPUT;
-time_t ELT0, ELT;
+static clock_t CPUT0, CPUT;
+static time_t ELT0, ELT;
  
  